{ config, lib, pkgs, ... }:
{
  services.syncthing = {
    enable = true;
    relay.enable = false;
    openDefaultPorts = true;
    configDir = "/persist/var/lib/syncthing/";
    dataDir = "/persist/data/syncthing/";
    declarative = {
      devices = {
        # schweby
        txsbcct = {
          addresses = []; # empty = dynamic
          id = "AQHOPTO-X3LWJXZ-2SPLSEW-MCVMX3R-VSLPPYE-NIOTDMW-QOYRSDZ-2LR7RAD";
        };
        octycs = {
          addresses = []; # empty = dynamic
          id = "KIJVGWZ-GRXPAUX-ZOTZDLS-KUKANCC-A2IBZRM-BT3RZK7-5M43O6R-OZD5IQE";
        };
        stuebinm-desktop = {
          addresses = []; # empty = dynamic
          id = "CWZTKG7-F45LE2O-TIT6IBC-RQD6MLH-K5ECUGJ-LOHJXF3-I2F4R6I-JVMRLAJ";
        };
        raphael-laptop = {
          addresses = []; # empty = dynamic
          id = "72B3T74-NOMJV3X-EVJXTJF-5GGAEZB-ZDKBHXQ-VQNRYEU-YCPA2JP-L6NGAAG";
        };
        # zauberberg
        conway = {
          addresses = []; # empty = dynamic
          id = "HV7IU2N-Q4W3A7F-BSASR43-OB575SM-47FY2UW-7N5GMFM-PX3LWRN-HXBXMQF";
        };
        # hexchen
        storah = {
          addresses = [ "tcp://46.4.62.95:22000" "quic://46.4.62.95:22000" ];
          id = "SGHQ2JA-7FJ6CKM-N3I54R4-UOJC5KO-7W22O62-YLTF26F-S7DLZG4-ZLP7HAM";
        };
      };

      folders = {
        "/persist/data/syncthing/hacc/" = {
          id = "qt2ly-xvvvs";
          devices = [ "txsbcct" "octycs" "stuebinm-desktop" "conway" "raphael-laptop" "storah" ];
          type = "receiveonly";
          versioning = {
            type = "simple";
            params.keep = "10";
          };
        };
      };

    };

  };
}
